"use strict";
/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const sf_plugins_core_1 = require("@salesforce/sf-plugins-core");
const core_1 = require("@salesforce/core");
const __1 = require("../..");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('plugin-switch-np', 'switch.switchOn');
// eslint-disable-next-line @typescript-eslint/no-explicit-any
class SwitchSwitchOn extends sf_plugins_core_1.SfCommand {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    async run() {
        const { flags } = await this.parse(SwitchSwitchOn);
        this.log('git restore .');
        await (0, __1.execCmd)('git restore .', { async: true });
        const deployCommand = `sf project deploy start --manifest ${flags.package}`;
        const result = await (0, __1.execCmd)(deployCommand, { async: true });
        this.log(result.shellOutput);
        return result;
    }
}
exports.default = SwitchSwitchOn;
SwitchSwitchOn.summary = messages.getMessage('summary');
SwitchSwitchOn.description = messages.getMessage('description');
SwitchSwitchOn.examples = messages.getMessages('examples');
SwitchSwitchOn.flags = {
    package: sf_plugins_core_1.Flags.string({
        summary: messages.getMessage('description'),
        char: 'x',
        required: true,
        exists: true,
    }),
};
//# sourceMappingURL=switchOn.js.map